Open CASCADE Technology: IFSelect Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
IFSelect Class Reference

Gives tools to manage Selecting a group of Entities processed by an Interface, for instance to divide up an original Model (from a File) to several smaller ones They use description of an Interface Model as a graph. More...

`#include <IFSelect.hxx>`

## Static Public Member Functions
static Standard_Boolean | SaveSession (const Handle< IFSelect_WorkSession > &WS, const Standard_CString file)
| Saves the state of a WorkSession from IFSelect, by using a SessionFile from IFSelect. Returns True if Done, False in case of Error on Writing. <file> gives the name of the File to be produced (this avoids to export the class SessionFile). More...
static Standard_Boolean | RestoreSession (const Handle< IFSelect_WorkSession > &WS, const Standard_CString file)
| Restore the state of a WorkSession from IFSelect, by using a SessionFile from IFSelect. Returns True if Done, False in case of Error on Writing. <file> gives the name of the File to be used (this avoids to export the class SessionFile). More...

## Detailed Description

Gives tools to manage Selecting a group of Entities processed by an Interface, for instance to divide up an original Model (from a File) to several smaller ones They use description of an Interface Model as a graph.

Remark that this corresponds to the description of a "scenario" of sharing out a File. Parts of this Scenario are intended to be permanently stored. IFSelect provides the Transient, active counterparts (to run the Scenario). But a permanent one (either as Persistent Objects or as interpretable Text) must be provided elsewhere.

## Member Function Documentation

static Standard_Boolean IFSelect::RestoreSession | ( | const Handle< IFSelect_WorkSession > & | WS,
|  | const Standard_CString | file
| ) |  |
| static

Restore the state of a WorkSession from IFSelect, by using a SessionFile from IFSelect. Returns True if Done, False in case of Error on Writing. <file> gives the name of the File to be used (this avoids to export the class SessionFile).

static Standard_Boolean IFSelect::SaveSession | ( | const Handle< IFSelect_WorkSession > & | WS,
|  | const Standard_CString | file
| ) |  |
| static

Saves the state of a WorkSession from IFSelect, by using a SessionFile from IFSelect. Returns True if Done, False in case of Error on Writing. <file> gives the name of the File to be produced (this avoids to export the class SessionFile).

The documentation for this class was generated from the following file:

- IFSelect.hxx